Package com.sleepycat.persist.raw

## Interface RawField

-     public interface RawField

  The definition of a field in a `RawType`.

  `RawField` objects are thread-safe. Multiple threads may safely call the methods of a shared `RawField` object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the name of the field.
    `RawType` | `getType()` | Returns the type of the field, without expanding parameterized types, or null if the type is an interface type or the Object class.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the field.
      Returns:
        the name of the field.

    - #### getType

          RawType getType()

      Returns the type of the field, without expanding parameterized types, or null if the type is an interface type or the Object class.
      Returns:
        the type of the field.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.